Control Plane APIMaintenance windows
DELETE
/v1/maintenance-windows/{maintenanceWindowId}/applications

Remove applications from maintenance window.

Path Parameters

maintenanceWindowId*string

Query Parameters

applicationIds?array<string>

Application IDs to remove

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/maintenance-windows/string/applications"
{  "maintenanceWindow": {    "createdAt": "2019-08-24T14:15:22Z",    "customerMessage": "string",    "endedAt": "2019-08-24T14:15:22Z",    "id": "string",    "impactedApplications": [      {        "applicationId": "string",        "applicationName": "string",        "capabilities": [          {            "id": "string",            "name": "string"          }        ]      }    ],    "internalDescription": "string",    "scheduledEndAt": "2019-08-24T14:15:22Z",    "scheduledStartAt": "2019-08-24T14:15:22Z",    "startedAt": "2019-08-24T14:15:22Z",    "status": "MAINTENANCE_STATUS_UNSPECIFIED",    "title": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "version": "string"  }}